RegionAttributesData (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: RegionAttributesData

Package org.apache.geode.management

# Class RegionAttributesData

java.lang.Object
org.apache.geode.management.RegionAttributesData

public class RegionAttributesData extends Object
Composite data type used to distribute attributes for a `Region`.

Since:
  GemFire 7.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionAttributesData(String cacheLoaderClassName, String cacheWriterClassName, String keyConstraintClassName, String valueConstraintClassName, int regionTimeToLive, int regionIdleTimeout, int entryTimeToLive, int entryIdleTimeout, String customEntryTimeToLive, String customEntryIdleTimeout, boolean ignoreJTA, String dataPolicy, String scope, int initialCapacity, float loadFactor, boolean lockGrantor, boolean multicastEnabled, int concurrencyLevel, boolean indexMaintenanceSynchronous, boolean statisticsEnabled, boolean subscriptionConflationEnabled, boolean asyncConflationEnabled, String poolName, boolean cloningEnabled, String diskStoreName, String interestPolicy, boolean diskSynchronous, String[] cacheListeners, String compressorClassName, boolean offHeap, Set<String> asyncEventQueueIds, Set<String> gatewaySenderIds)`
  This constructor is to be used by internal JMX framework only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getAsyncEventQueueIds()`
  Returns the set of async event queue IDs.
  `String[]`
  `getCacheListeners()`
  Returns a list of CacheListeners for the Region.
  `String`
  `getCacheLoaderClassName()`
  Returns the Class of cache loader associated with this region.
  `String`
  `getCacheWriterClassName()`
  Returns the Class of the cache writer associated with this region.
  `String`
  `getCompressorClassName()`
  Returns the compressor class name used by the region.
  `int`
  `getConcurrencyLevel()`
  Returns the concurrency level for entries in the Region.
  `String`
  `getCustomEntryIdleTimeout()`
  Returns the custom idle timeout expiration for entries in the Region, if one exists.
  `String`
  `getCustomEntryTimeToLive()`
  Returns the custom time to live expiration for entries in the Region, if one exists.
  `String`
  `getDataPolicy()`
  Returns the data policy of the Region.
  `String`
  `getDiskStoreName()`
  Returns the name of the DiskStore associated with the Region.
  `int`
  `getEntryIdleTimeout()`
  Returns the idle timeout expiration for entries in the Region.
  `int`
  `getEntryTimeToLive()`
  Returns the time to live expiration for entries in the Region.
  `Set<String>`
  `getGatewaySenderIds()`
  Returns the set of gateway sender IDs.
  `int`
  `getInitialCapacity()`
  Returns the initial capacity of entries in the Region.
  `String`
  `getInterestPolicy()`
  Returns the subscriber's interest policy.
  `String`
  `getKeyConstraintClassName()`
  Returns the Class that the keys in this region are constrained to (must be an instance of).
  `float`
  `getLoadFactor()`
  Returns the load factor of entries in the Region.
  `boolean`
  `getOffHeap()`
  Returns true if the region uses off-heap memory.
  `String`
  `getPoolName()`
  Returns the name of the Pool that this Region will use to communicate with servers, if any.
  `int`
  `getRegionIdleTimeout()`
  Returns the idle timeout expiration for the Region.
  `int`
  `getRegionTimeToLive()`
  Returns the time to live expiration for the Region.
  `String`
  `getScope()`
  Returns the scope of the Region.
  `String`
  `getValueConstraintClassName()`
  Returns the Class that the values in this region are constrained to (must be an instance of).
  `boolean`
  `isAsyncConflationEnabled()`
  Returns whether asynchronous conflation is enabled for sending messages to peers.
  `boolean`
  `isCloningEnabled()`
  Returns whether cloning is enabled.
  `boolean`
  `isDiskSynchronous()`
  Returns whether disk writes are synchronous.
  `boolean`
  `isIgnoreJTA()`
  Returns whether JTA transactions are being ignored.
  `boolean`
  `isIndexMaintenanceSynchronous()`
  Returns whether query service index maintenance will be done synchronously.
  `boolean`
  `isLockGrantor()`
  Returns whether this member is configured to become the lock granter when the Region is created.
  `boolean`
  `isMulticastEnabled()`
  Returns whether multicast communication is enabled for the Region.
  `boolean`
  `isStatisticsEnabled()`
  Returns whether statistic collection is enabled for the Region and its entries.
  `boolean`
  `isSubscriptionConflationEnabled()`
  Returns whether conflation is enabled for sending messages from a cache server to its clients.
  `String`
  `toString()`
  String representation of RegionAttributesData

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegionAttributesData

    @ConstructorProperties({"cacheLoaderClassName","cacheWriterClassName","keyConstraintClassName","valueConstraintClassName","regionTimeToLive","regionIdleTimeout","entryTimeToLive","entryIdleTimeout","customEntryTimeToLive","customEntryIdleTimeout","ignoreJTA","dataPolicy","scope","initialCapacity","loadFactor","lockGrantor","multicastEnabled","concurrencyLevel","indexMaintenanceSynchronous","statisticsEnabled","subscriptionConflationEnabled","asyncConflationEnabled","poolName","cloningEnabled","diskStoreName","interestPolicy","diskSynchronous","cacheListeners","compressorClassName","offHeap","asyncEventQueueIds","gatewaySenderIds"}) public RegionAttributesData(String cacheLoaderClassName, String cacheWriterClassName, String keyConstraintClassName, String valueConstraintClassName, int regionTimeToLive, int regionIdleTimeout, int entryTimeToLive, int entryIdleTimeout, String customEntryTimeToLive, String customEntryIdleTimeout, boolean ignoreJTA, String dataPolicy, String scope, int initialCapacity, float loadFactor, boolean lockGrantor, boolean multicastEnabled, int concurrencyLevel, boolean indexMaintenanceSynchronous, boolean statisticsEnabled, boolean subscriptionConflationEnabled, boolean asyncConflationEnabled, String poolName, boolean cloningEnabled, String diskStoreName, String interestPolicy, boolean diskSynchronous, String[] cacheListeners, String compressorClassName, boolean offHeap, Set<String> asyncEventQueueIds, Set<String> gatewaySenderIds)
    This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
    Parameters:
      `cacheLoaderClassName` - the Class of cache loader associated with this region
      `cacheWriterClassName` - the Class of cache writer associated with this region
      `keyConstraintClassName` - the Class that the keys in this region are constrained to
      `valueConstraintClassName` - the Class that the values in this region are constrained to
      `regionTimeToLive` - the time to live expiration for the Region
      `regionIdleTimeout` - the idle timeout expiration for the Region
      `entryTimeToLive` - the time to live expiration for entries in the Region
      `entryIdleTimeout` - the idle timeout expiration for entries in the Region
      `customEntryTimeToLive` - the custom time to live expiration for entries in the Region
      `customEntryIdleTimeout` - the custom idle timeout expiration for entries in the Region
      `ignoreJTA` - whether JTA transactions are being ignored
      `dataPolicy` - the data policy of the Region
      `scope` - the scope of the Region
      `initialCapacity` - the initial capacity of entries in the Region
      `loadFactor` - the load factor of entries in the Region
      `lockGrantor` - whether this member is configured to become the lock granter when the Region is created
      `multicastEnabled` - whether multicast communication is enabled for the Region
      `concurrencyLevel` - the concurrency level for entries in the Region
      `indexMaintenanceSynchronous` - whether query service index maintenance will be done synchronously
      `statisticsEnabled` - whether statistic collection is enabled for the Region and its entries
      `subscriptionConflationEnabled` - whether conflation is enabled for sending messages from a cache server to its clients
      `asyncConflationEnabled` - whether asynchronous conflation is enabled for sending messages to peers
      `poolName` - the name of the Pool that this Region will use to communicate with servers
      `cloningEnabled` - whether cloning is enabled
      `diskStoreName` - the name of the DiskStore associated with the Region
      `interestPolicy` - the subscriber's interest policy
      `diskSynchronous` - whether disk writes are synchronous
      `cacheListeners` - an array of CacheListeners for the Region
      `compressorClassName` - the compressor class name used by the region.
      `offHeap` - whether the region uses off-heap memory
      `asyncEventQueueIds` - the set of async event queue IDs
      `gatewaySenderIds` - the set of gateway sender IDs

- ## Method Details

  - ### getCacheLoaderClassName

    public String getCacheLoaderClassName()
    Returns the Class of cache loader associated with this region.
    Returns:
      the Class of cache loader associated with this region

  - ### getCacheWriterClassName

    public String getCacheWriterClassName()
    Returns the Class of the cache writer associated with this region.
    Returns:
      the Class of the cache writer associated with this region

  - ### getKeyConstraintClassName

    public String getKeyConstraintClassName()
    Returns the Class that the keys in this region are constrained to (must be an instance of).
    Returns:
      the Class that the keys in this region are constrained to

  - ### getValueConstraintClassName

    public String getValueConstraintClassName()
    Returns the Class that the values in this region are constrained to (must be an instance of).
    Returns:
      the Class that the values in this region are constrained to

  - ### getRegionTimeToLive

    public int getRegionTimeToLive()
    Returns the time to live expiration for the Region.
    Returns:
      the time to live expiration for the Region

  - ### getRegionIdleTimeout

    public int getRegionIdleTimeout()
    Returns the idle timeout expiration for the Region.
    Returns:
      the idle timeout expiration for the Region

  - ### getEntryTimeToLive

    public int getEntryTimeToLive()
    Returns the time to live expiration for entries in the Region.
    Returns:
      the time to live expiration for entries in the Region

  - ### getEntryIdleTimeout

    public int getEntryIdleTimeout()
    Returns the idle timeout expiration for entries in the Region.
    Returns:
      the idle timeout expiration for entries in the Region

  - ### getCustomEntryTimeToLive

    public String getCustomEntryTimeToLive()
    Returns the custom time to live expiration for entries in the Region, if one exists.
    Returns:
      the custom time to live expiration for entries in the Region

  - ### getCustomEntryIdleTimeout

    public String getCustomEntryIdleTimeout()
    Returns the custom idle timeout expiration for entries in the Region, if one exists.
    Returns:
      the custom idle timeout expiration for entries in the Region

  - ### isIgnoreJTA

    public boolean isIgnoreJTA()
    Returns whether JTA transactions are being ignored.
    Returns:
      True if JTA transactions are being ignored, false otherwise.

  - ### getDataPolicy

    public String getDataPolicy()
    Returns the data policy of the Region.
    Returns:
      the data policy of the Region

  - ### getScope

    public String getScope()
    Returns the scope of the Region.
    Returns:
      the scope of the Region

  - ### getInitialCapacity

    public int getInitialCapacity()
    Returns the initial capacity of entries in the Region.
    Returns:
      the initial capacity of entries in the Region

  - ### getLoadFactor

    public float getLoadFactor()
    Returns the load factor of entries in the Region.
    Returns:
      the load factor of entries in the Region

  - ### isLockGrantor

    public boolean isLockGrantor()
    Returns whether this member is configured to become the lock granter when the Region is created. It does not indicate whether this member is currently the lock granter for the Region.
    Returns:
      True if this member is configured to start the Region as the lock granter, false otherwise. Always returns false if the scope of the Region is not `Scope.GLOBAL`

  - ### isMulticastEnabled

    public boolean isMulticastEnabled()
    Returns whether multicast communication is enabled for the Region.
    Returns:
      True if multicast communication is enabled, false otherwise.

  - ### getConcurrencyLevel

    public int getConcurrencyLevel()
    Returns the concurrency level for entries in the Region.
    Returns:
      the concurrency level for entries in the Region

  - ### isIndexMaintenanceSynchronous

    public boolean isIndexMaintenanceSynchronous()
    Returns whether query service index maintenance will be done synchronously.
    Returns:
      True if query service index maintenance will be done synchronously or false if it will be done asynchronously.

  - ### isStatisticsEnabled

    public boolean isStatisticsEnabled()
    Returns whether statistic collection is enabled for the Region and its entries.
    Returns:
      True if statistic collection is enabled, false otherwise.

  - ### isSubscriptionConflationEnabled

    public boolean isSubscriptionConflationEnabled()
    Returns whether conflation is enabled for sending messages from a cache server to its clients. This value only has meaning for client to server communication and is not relevant for peer to peer communication.
    Returns:
      True if conflation is enabled, false otherwise.

  - ### isAsyncConflationEnabled

    public boolean isAsyncConflationEnabled()
    Returns whether asynchronous conflation is enabled for sending messages to peers.
    Returns:
      True if asynchronous conflation is enabled, false otherwise.

  - ### getPoolName

    public String getPoolName()
    Returns the name of the Pool that this Region will use to communicate with servers, if any.
    Returns:
      The name of the Pool used to communicate with servers or null if the host member communicates with peers.

  - ### isCloningEnabled

    public boolean isCloningEnabled()
    Returns whether cloning is enabled.
    Returns:
      True if cloning is enabled, false otherwise.

  - ### getDiskStoreName

    public String getDiskStoreName()
    Returns the name of the DiskStore associated with the Region.
    Returns:
      the name of the DiskStore associated with the Region

  - ### getInterestPolicy

    public String getInterestPolicy()
    Returns the subscriber's interest policy.
    Returns:
      the subscriber's interest policy

  - ### isDiskSynchronous

    public boolean isDiskSynchronous()
    Returns whether disk writes are synchronous.
    Returns:
      True if disk writes are synchronous, false otherwise.

  - ### getCacheListeners

    public String[] getCacheListeners()
    Returns a list of CacheListeners for the Region. An empty array if no listener is specified.
    Returns:
      an array of CacheListeners for the Region

  - ### getCompressorClassName

    public String getCompressorClassName()
    Returns the compressor class name used by the region.
    Returns:
      null if no compression is used.

  - ### getOffHeap

    public boolean getOffHeap()
    Returns true if the region uses off-heap memory.
    Returns:
      false if the region does not use off-heap memory.

  - ### getAsyncEventQueueIds

    public Set<String> getAsyncEventQueueIds()
    Returns the set of async event queue IDs.
    Returns:
      a set of ids.

  - ### getGatewaySenderIds

    public Set<String> getGatewaySenderIds()
    Returns the set of gateway sender IDs.
    Returns:
      a set of ids.

  - ### toString

    public String toString()
    String representation of RegionAttributesData
    Overrides:
      `toString` in class `Object`